<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.756.5.30.1.127.10.1.3
Name: Laborbefund Transplantationsprozesss
Description: Laborbefund im Transplantationsprozesss
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000">
   <title>Laborbefund Transplantationsprozesss</title>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.1.3
Context: /
Item: (cdachlrtp)
-->

   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.1.3
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']]
Item: (cdachlrtp)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']]"
         id="d19e3102-false-d23464e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3']) &gt;= 1">(cdachlrtp): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="count(hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3']) &lt;= 1">(cdachlrtp): element hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.1.1.1']) &gt;= 1">(cdachlrtp): element hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.1.1.1']) &lt;= 1">(cdachlrtp): element hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']) &gt;= 1">(cdachlrtp): element hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1'] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="count(hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']) &lt;= 1">(cdachlrtp): element hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1'] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="count(hl7:code[(@code = '11502-2' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &gt;= 1">(cdachlrtp): element hl7:code[(@code = '11502-2' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="count(hl7:code[(@code = '11502-2' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]) &lt;= 1">(cdachlrtp): element hl7:code[(@code = '11502-2' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="count(hl7:effectiveTime) &gt;= 1">(cdachlrtp): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="count(hl7:effectiveTime) &lt;= 1">(cdachlrtp): element hl7:effectiveTime appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="count(hl7:confidentialityCode[(@code = 'R' and @codeSystem = '2.16.840.1.113883.5.25') or @nullFlavor]) &gt;= 1">(cdachlrtp): element hl7:confidentialityCode[(@code = 'R' and @codeSystem = '2.16.840.1.113883.5.25') or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="count(hl7:confidentialityCode[(@code = 'R' and @codeSystem = '2.16.840.1.113883.5.25') or @nullFlavor]) &lt;= 1">(cdachlrtp): element hl7:confidentialityCode[(@code = 'R' and @codeSystem = '2.16.840.1.113883.5.25') or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="count(hl7:recordTarget[hl7:patientRole]) &gt;= 1">(cdachlrtp): element hl7:recordTarget[hl7:patientRole] is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="count(hl7:recordTarget[hl7:patientRole]) &lt;= 1">(cdachlrtp): element hl7:recordTarget[hl7:patientRole] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="count(hl7:dataEnterer[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.7']]) &lt;= 1">(cdachlrtp): element hl7:dataEnterer[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.7']] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="count(hl7:custodian[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.3']]) &gt;= 1">(cdachlrtp): element hl7:custodian[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.3']] is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="count(hl7:custodian[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.3']]) &lt;= 1">(cdachlrtp): element hl7:custodian[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.3']] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="count(hl7:informationRecipient[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.4']]) &gt;= 1">(cdachlrtp): element hl7:informationRecipient[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.4']] is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="count(hl7:legalAuthenticator[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.5']]) &lt;= 1">(cdachlrtp): element hl7:legalAuthenticator[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.5']] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="count(hl7:inFulfillmentOf[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.16']]) &lt;= 1">(cdachlrtp): element hl7:inFulfillmentOf[hl7:templateId[@root = '2.16.756.5.30.1.1.10.2.16']] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="count(hl7:documentationOf[hl7:serviceEvent[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.127.11.20-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]]) &gt;= 1">(cdachlrtp): element hl7:documentationOf[hl7:serviceEvent[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.127.11.20-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]] is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="count(hl7:documentationOf[hl7:serviceEvent[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.127.11.20-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]]) &lt;= 1">(cdachlrtp): element hl7:documentationOf[hl7:serviceEvent[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.127.11.20-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="count(hl7:component[hl7:structuredBody]) &gt;= 1">(cdachlrtp): element hl7:component[hl7:structuredBody] is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="count(hl7:component[hl7:structuredBody]) &lt;= 1">(cdachlrtp): element hl7:component[hl7:structuredBody] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.1.3
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3']
Item: (cdachlrtp)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']]/hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3']"
         id="d19e3108-false-d23916e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="string(@root) = ('1.3.6.1.4.1.19376.1.3.3')">(cdachlrtp): The value for root SHALL be '1.3.6.1.4.1.19376.1.3.3'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.1.3
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']]/hl7:templateId[@root = '2.16.756.5.30.1.1.1.1']
Item: (cdachlrtp)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']]/hl7:templateId[@root = '2.16.756.5.30.1.1.1.1']"
         id="d19e3113-false-d23932e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="string(@root) = ('2.16.756.5.30.1.1.1.1')">(cdachlrtp): The value for root SHALL be '2.16.756.5.30.1.1.1.1'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.1.3
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']]/hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']
Item: (cdachlrtp)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']]/hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']"
         id="d19e3118-false-d23948e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="string(@root) = ('2.16.756.5.30.1.1.1.1.3.4.1')">(cdachlrtp): The value for root SHALL be '2.16.756.5.30.1.1.1.1.3.4.1'. Found: "<value-of select="@root"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.1.3
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']]/hl7:code[(@code = '11502-2' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]
Item: (cdachlrtp)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']]/hl7:code[(@code = '11502-2' and @codeSystem = '2.16.840.1.113883.6.1') or @nullFlavor]"
         id="d19e3126-false-d23964e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="@nullFlavor or (@code='11502-2' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='LABORATORY REPORT.TOTAL' and @codeSystemName='LOINC')">(cdachlrtp): The element value SHALL be one of 'code '11502-2' codeSystem '2.16.840.1.113883.6.1' displayName='LABORATORY REPORT.TOTAL' codeSystemName='LOINC''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.1.3
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']]/hl7:effectiveTime
Item: (cdachlrtp)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']]/hl7:effectiveTime"
         id="d19e3140-false-d23981e0">
      <extends rule="TS.CH.TZ"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="not(*)">(cdachlrtp): <value-of select="local-name()"/> with datatype TS.CH.TZ, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.1.3
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']]/hl7:confidentialityCode[(@code = 'R' and @codeSystem = '2.16.840.1.113883.5.25') or @nullFlavor]
Item: (cdachlrtp)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']]/hl7:confidentialityCode[(@code = 'R' and @codeSystem = '2.16.840.1.113883.5.25') or @nullFlavor]"
         id="d19e3142-false-d23996e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="@nullFlavor or (@code='R' and @codeSystem='2.16.840.1.113883.5.25')">(cdachlrtp): The element value SHALL be one of 'code 'R' codeSystem '2.16.840.1.113883.5.25''.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.2.29
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']]/hl7:recordTarget[hl7:patientRole]
Item: (CDARecordTargetlrtp)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']]/hl7:recordTarget[hl7:patientRole]"
         id="d24009e53-false-d24015e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.2.29-2016-07-02T000000.html"
              test="string(@typeCode) = ('RCT') or not(@typeCode)">(CDARecordTargetlrtp): The value for typeCode SHALL be 'RCT'. Found: "<value-of select="@typeCode"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.2.29-2016-07-02T000000.html"
              test="string(@contextControlCode) = ('OP') or not(@contextControlCode)">(CDARecordTargetlrtp): The value for contextControlCode SHALL be 'OP'. Found: "<value-of select="@contextControlCode"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.2.29-2016-07-02T000000.html"
              test="count(hl7:patientRole[hl7:id[@root='2.16.756.5.30.1.129.1.1.1']]) &gt;= 1">(CDARecordTargetlrtp): element hl7:patientRole[hl7:id[@root='2.16.756.5.30.1.129.1.1.1']] is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.2.29-2016-07-02T000000.html"
              test="count(hl7:patientRole[hl7:id[@root='2.16.756.5.30.1.129.1.1.1']]) &lt;= 1">(CDARecordTargetlrtp): element hl7:patientRole[hl7:id[@root='2.16.756.5.30.1.129.1.1.1']] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.2.29
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole[hl7:id[@root='2.16.756.5.30.1.129.1.1.1']]
Item: (CDARecordTargetlrtp)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole[hl7:id[@root='2.16.756.5.30.1.129.1.1.1']]"
         id="d24009e59-false-d24042e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.2.29-2016-07-02T000000.html"
              test="string(@classCode) = ('PAT') or not(@classCode)">(CDARecordTargetlrtp): The value for classCode SHALL be 'PAT'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.2.29-2016-07-02T000000.html"
              test="count(hl7:id[@root='2.16.756.5.30.1.129.1.1.1'][not(@nullFlavor)]) &gt;= 1">(CDARecordTargetlrtp): element hl7:id[@root='2.16.756.5.30.1.129.1.1.1'][not(@nullFlavor)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.2.29-2016-07-02T000000.html"
              test="count(hl7:id[@root='2.16.756.5.30.1.129.1.1.1'][not(@nullFlavor)]) &lt;= 1">(CDARecordTargetlrtp): element hl7:id[@root='2.16.756.5.30.1.129.1.1.1'][not(@nullFlavor)] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.2.29-2016-07-02T000000.html"
              test="count(hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]) &lt;= 1">(CDARecordTargetlrtp): element hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.2.29
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole[hl7:id[@root='2.16.756.5.30.1.129.1.1.1']]/hl7:id[not(@root='2.16.756.5.30.1.129.1.1.1')]
Item: (CDARecordTargetlrtp)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole[hl7:id[@root='2.16.756.5.30.1.129.1.1.1']]/hl7:id[not(@root='2.16.756.5.30.1.129.1.1.1')]"
         id="d24009e63-false-d24071e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.2.29-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDARecordTargetlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.2.29
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole[hl7:id[@root='2.16.756.5.30.1.129.1.1.1']]/hl7:id[@root='2.16.756.5.30.1.129.1.1.1'][not(@nullFlavor)]
Item: (CDARecordTargetlrtp)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole[hl7:id[@root='2.16.756.5.30.1.129.1.1.1']]/hl7:id[@root='2.16.756.5.30.1.129.1.1.1'][not(@nullFlavor)]"
         id="d24009e65-false-d24080e0">
      <extends rule="II"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.2.29-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDARecordTargetlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:II", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.2.29-2016-07-02T000000.html"
              test="string(@root) = ('2.16.756.5.30.1.129.1.1.1')">(CDARecordTargetlrtp): The value for root SHALL be '2.16.756.5.30.1.129.1.1.1'. Found: "<value-of select="@root"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.2.29-2016-07-02T000000.html"
              test="@extension">(CDARecordTargetlrtp): attribute @extension SHALL be present.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.2.29
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole[hl7:id[@root='2.16.756.5.30.1.129.1.1.1']]/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]
Item: (CDARecordTargetlrtp)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole[hl7:id[@root='2.16.756.5.30.1.129.1.1.1']]/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]"
         id="d24009e76-false-d24102e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.2.29-2016-07-02T000000.html"
              test="string(@classCode) = ('PSN') or not(@classCode)">(CDARecordTargetlrtp): The value for classCode SHALL be 'PSN'. Found: "<value-of select="@classCode"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.2.29-2016-07-02T000000.html"
              test="string(@determinerCode) = ('INSTANCE') or not(@determinerCode)">(CDARecordTargetlrtp): The value for determinerCode SHALL be 'INSTANCE'. Found: "<value-of select="@determinerCode"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.2.29-2016-07-02T000000.html"
              test="count(hl7:name) &gt;= 1">(CDARecordTargetlrtp): element hl7:name is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.2.29-2016-07-02T000000.html"
              test="count(hl7:name) &lt;= 1">(CDARecordTargetlrtp): element hl7:name appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.2.29-2016-07-02T000000.html"
              test="count(hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &gt;= 1">(CDARecordTargetlrtp): element hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.2.29-2016-07-02T000000.html"
              test="count(hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]) &lt;= 1">(CDARecordTargetlrtp): element hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.2.29-2016-07-02T000000.html"
              test="count(hl7:birthTime) &gt;= 1">(CDARecordTargetlrtp): element hl7:birthTime is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.2.29-2016-07-02T000000.html"
              test="count(hl7:birthTime) &lt;= 1">(CDARecordTargetlrtp): element hl7:birthTime appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.2.29
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole[hl7:id[@root='2.16.756.5.30.1.129.1.1.1']]/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:name
Item: (CDARecordTargetlrtp)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole[hl7:id[@root='2.16.756.5.30.1.129.1.1.1']]/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:name"
         id="d24009e82-false-d24150e0">
      <extends rule="PN"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.2.29-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='PN' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDARecordTargetlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:PN", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.2.29
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole[hl7:id[@root='2.16.756.5.30.1.129.1.1.1']]/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]
Item: (CDARecordTargetlrtp)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole[hl7:id[@root='2.16.756.5.30.1.129.1.1.1']]/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]"
         id="d24009e84-false-d24164e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.2.29-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDARecordTargetlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.2.29-2016-07-02T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(CDARecordTargetlrtp): The element value SHALL be one of '2.16.840.1.113883.1.11.1 AdministrativeGender (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.2.29
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole[hl7:id[@root='2.16.756.5.30.1.129.1.1.1']]/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:birthTime
Item: (CDARecordTargetlrtp)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']]/hl7:recordTarget[hl7:patientRole]/hl7:patientRole[hl7:id[@root='2.16.756.5.30.1.129.1.1.1']]/hl7:patient[hl7:administrativeGenderCode[concat(@code, @codeSystem) = doc('include/voc-2.16.840.1.113883.1.11.1-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem) or @nullFlavor]]/hl7:birthTime"
         id="d24009e89-false-d24186e0">
      <extends rule="TS"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.2.29-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(CDARecordTargetlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:TS", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.2.29-2016-07-02T000000.html"
              test="not(*)">(CDARecordTargetlrtp): <value-of select="local-name()"/> with datatype TS, SHOULD NOT have child elements.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.1.3
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.127.11.20-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]]
Item: (cdachlrtp)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.127.11.20-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]]"
         id="d19e3191-false-d24217e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="count(hl7:serviceEvent[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.127.11.20-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]) &gt;= 1">(cdachlrtp): element hl7:serviceEvent[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.127.11.20-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]] is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="count(hl7:serviceEvent[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.127.11.20-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]) &lt;= 1">(cdachlrtp): element hl7:serviceEvent[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.127.11.20-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.1.3
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.127.11.20-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]]/hl7:serviceEvent[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.127.11.20-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]
Item: (cdachlrtp)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.127.11.20-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]]/hl7:serviceEvent[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.127.11.20-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]"
         id="d19e3218-false-d24240e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.127.11.20-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &gt;= 1">(cdachlrtp): element hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.127.11.20-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="count(hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.127.11.20-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]) &lt;= 1">(cdachlrtp): element hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.127.11.20-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)] appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.1.3
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.127.11.20-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]]/hl7:serviceEvent[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.127.11.20-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.127.11.20-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]
Item: (cdachlrtp)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']]/hl7:documentationOf[hl7:serviceEvent[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.127.11.20-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]]/hl7:serviceEvent[hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.127.11.20-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]]/hl7:code[concat(@code, @codeSystem) = doc('include/voc-2.16.756.5.30.1.127.11.20-DYNAMIC.xml')//valueSet[1]/conceptList/concept/concat(@code, @codeSystem)]"
         id="d19e3220-false-d24263e0">
      <extends rule="CE"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(cdachlrtp): If an @xsi:type instruction is present it SHALL be valued "{urn:hl7-org:v3}:CE", found "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.756.5.30.1.127.11.20-DYNAMIC.xml')//valueSet[1][conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(cdachlrtp): The element value SHALL be one of '2.16.756.5.30.1.127.11.20 Geltungsbereich des Befundes (DYNAMIC)'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.1.3
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']]/hl7:component[hl7:structuredBody]
Item: (cdachlrtp)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']]/hl7:component[hl7:structuredBody]"
         id="d19e3259-false-d24308e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(cdachlrtp): The value for contextConductionInd SHALL be 'true'. Found: "<value-of select="@contextConductionInd"/>"</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="count(hl7:structuredBody) &gt;= 1">(cdachlrtp): element hl7:structuredBody is required [min 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="count(hl7:structuredBody) &lt;= 1">(cdachlrtp): element hl7:structuredBody appears too often [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.1.3
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']]/hl7:component[hl7:structuredBody]/hl7:structuredBody
Item: (cdachlrtp)
-->

   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']]/hl7:component[hl7:structuredBody]/hl7:structuredBody"
         id="d19e3263-false-d24375e0">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="count(hl7:component/hl7:section)&gt;0">(cdachlrtp): Mindestens eine Section muss im CDA-CH-LRTP Dokument vorhanden sein</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.11'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1'][@extension = 'CDA-CH.LRTP.Body.StudiesSummaryL2']]]) &lt;= 1">(cdachlrtp): element hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.11'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1'][@extension = 'CDA-CH.LRTP.Body.StudiesSummaryL2']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.5.3.2'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.25'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.16']]]) &lt;= 1">(cdachlrtp): element hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.5.3.2'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.25'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.16']]] appears too often [max 1x].</assert>
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="count(hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]]) &lt;= 1">(cdachlrtp): element hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]] appears too often [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.1.3
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.11'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1'][@extension = 'CDA-CH.LRTP.Body.StudiesSummaryL2']]]
Item: (cdachlrtp)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.11'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1'][@extension = 'CDA-CH.LRTP.Body.StudiesSummaryL2']]]">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(cdachlrtp): The value for contextConductionInd SHALL be 'true'. Found: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.1.3
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.5.3.2'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.25'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.16']]]
Item: (cdachlrtp)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.1.10.3.4'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.1.5.3.2'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.5.3.1.3.25'] and hl7:templateId[@root = '2.16.840.1.113883.10.20.1.16']]]">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(cdachlrtp): The value for contextConductionInd SHALL be 'true'. Found: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.756.5.30.1.127.10.1.3
Context: /hl7:ClinicalDocument[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]]
Item: (cdachlrtp)
-->
   <rule context="/hl7:ClinicalDocument[hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1'] and hl7:templateId[@root = '2.16.756.5.30.1.1.1.1.3.4.1']]/hl7:component[hl7:structuredBody]/hl7:structuredBody/hl7:component[hl7:section[hl7:templateId[@root = '2.16.756.5.30.1.127.10.3.12'] and hl7:templateId[@root = '1.3.6.1.4.1.19376.1.3.3.2.1']]]">
      <assert role="error"
              see="http://ehealthsuisse.art-decor.org/cdachlrtp-html-20180703T075351/tmp-2.16.756.5.30.1.127.10.1.3-2016-07-02T000000.html"
              test="string(@contextConductionInd) = ('true') or not(@contextConductionInd)">(cdachlrtp): The value for contextConductionInd SHALL be 'true'. Found: "<value-of select="@contextConductionInd"/>"</assert>
   </rule>
</pattern>
